import clr
clr.AddReference('Soti.IoT.SemanticEngine.Conversions')

from Soti.IoT.SemanticEngine.Conversions import Converter

print("Loading PercentToSewooDarkness_Neg127To127 Converter")

class PercentToSewooDarkness_Neg127To127(Converter):

	def Execute(self, myList = [], *args):
		return int(round(((254) * ((int(myList[0]))/ 100.0)) -127))



plugin = PercentToSewooDarkness_Neg127To127("PercentToSewooDarkness_Neg127To127")

store.AddConverter(plugin)